Skip to navigation

Request supply chain CSV export

View as Markdown

Asynchronously initiates generation of a supply chain CSV report containing scan results matching the specified filters. Returns an ephemeral report ID that can be used to check the status of the export and download the file. File is stored for 30 days once generated.

Row Limit: Returns up to 10,000 most recent scan results.

Filtering: Supports the same filtering parameters as the Query endpoint (GET /scan/v3/results).

Sorting: Supports sorting via the sort parameter. Results can be ordered by any CSV column.

Columns: The CSV columns can be customized using the optional column_list query parameter. If not specified, defaults to: name, detections, scanned_on, policy_status, origin, threat_level.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

column_liststringOptional

Comma-separated list of columns to include in the CSV export. Allowed values: name, detections, scanned_on, policy_status, origin, region, provider, threat_level. If not specified, defaults to: name, detections, scanned_on, policy_status, origin, threat_level.

model_version_idslist of stringsOptional

Filter by model version IDs (comma-separated)

model_idslist of stringsOptional

Filter by model IDs (comma-separated)

start_timedatetimeOptional
Filter scans with start time greater than or equal to this value
end_timedatetimeOptional
Filter scans with start time less than or equal to this value
severityenumOptional

Filter by severity levels (comma-separated)

statuslist of stringsOptional

Filter by scan status (comma-separated)

compliance_statuslist of enumsOptional

Filter by compliance status (comma-separated)

Allowed values:
request_sourcelist of enumsOptional

Filter by request source (comma-separated)

Allowed values:
scanner_versionstringOptionalformat: "^(0|[1-9][0-9]*)[.](0|[1-9][0-9]*)[.](0|[1-9][0-9]*)"
Filter by scanner version
detection_categorystringOptional
Filter by detection category
model_nameobjectOptional

Filter by model name (supports exact match or contains)

sourceobjectOptional
Filter by model source
latest_per_model_version_onlybooleanOptionalDefaults to false
Only return latest scan result per model version
regionstringOptional
Filter by asset region
providerstringOptional
Filter by model provider
limitintegerOptional1-10000
Maximum number of results to return
offsetintegerOptional>=0
Number of results to skip for pagination
sortlist of stringsOptionalDefaults to ["-start_time"]

Sort results by specified field. Prefix with - for descending order, + or no prefix for ascending. Supported fields: name, detections, scanned_on, policy_status, origin, region, provider, threat_level, start_time, model_name, severity, status.

Note: If multiple sort parameters are provided, only the first one will be applied.

Response

CSV export initiated
report_idstringOptionalformat: "uuid"

Errors

400
Bad Request Error
422
Unprocessable Entity Error